/****************************************************************************
** Form interface generated from reading ui file 'mouseInspector.ui'
**
** Created: Tue Mar 23 15:24:42 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.2-snapshot-20040317   edited Nov 24 13:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef MOUSEINSPECTOR_H
#define MOUSEINSPECTOR_H

#include <qvariant.h>
#include <qdialog.h>
#include <vector>
#include <qpixmap.h>
#include "cpp-core/GenomeMixer.h"

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QLabel;
class QListBox;
class QListBoxItem;
class QFrame;
class QGroupBox;
class QPushButton;
class QTable;

class MouseInspector : public QDialog
{
    Q_OBJECT

public:
    MouseInspector( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~MouseInspector();

    QLabel* textTotalMice;
    QListBox* listInspection;
    QFrame* frame9;
    QGroupBox* parentsGroup;
    QLabel* iconMaternal;
    QLabel* textMaternal;
    QLabel* iconPaternal;
    QLabel* textPaternal;
    QLabel* textMouseInfo;
    QLabel* textMouseLineage;
    QLabel* textPurebredIsZero;
    QLabel* iconSexOfThisMouse;
    QPushButton* buttonClose;
    QTable* tableInspection;
    QLabel* textLabel2;
    QGroupBox* groupBox44;
    QPushButton* buttonHideNames;
    QPushButton* buttonResizeToFit;
    QGroupBox* groupBox45;
    QLabel* recombSettings;
    QLabel* interfereSettings;
    QLabel* textLabel13;

    virtual QPixmap pixmapFromChar( char x );
    virtual bool isUpperCaseOrSingleDigit( char x );
    virtual long countTotalBreakpoints( int whichMouse );
    virtual long countNumberOfBreakpointsInChr( int whichMouse, int chr );

public slots:
    virtual void setUpInspector( GenomeMixer * theNewPtr );
    virtual void loadMouseNames();
    virtual void setUpHeaders( MarkerCollection * markers );
    virtual void updateCurrentMouse( void );
    virtual void clearMarkerCell( int row, int col );
    virtual void setMarkerCell( int row, int col, int markerValue );
    virtual void resizeAllColsToFit();
    virtual void resizeHideMarkerNames();

protected:
    vector<QPixmap> pixmaps;
    GenomeMixer *mainMixPtr;
    QPixmap femChrIcon;
    QPixmap maleChrIcon;

    QGridLayout* MouseInspectorLayout;
    QVBoxLayout* layout19;
    QGridLayout* frame9Layout;
    QGridLayout* parentsGroupLayout;
    QVBoxLayout* layout14;
    QVBoxLayout* layout15;
    QSpacerItem* spacer17;
    QHBoxLayout* layout50;
    QSpacerItem* spacer12;
    QVBoxLayout* layout123;
    QSpacerItem* spacer119;
    QHBoxLayout* layout124;
    QSpacerItem* spacer10;
    QGridLayout* groupBox44Layout;
    QVBoxLayout* groupBox45Layout;

protected slots:
    virtual void languageChange();

private:
    void init();

};

#endif // MOUSEINSPECTOR_H
